libzypp: zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel > Struct Template Reference

libzypp 17.38.14

zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel > Struct Template Reference

A basic format description to print a collection. More...

`#include <zypp-core/base/LogTools.h>`

## Public Member Functions
constexpr | JoinFormat (Intro &&intro, Pfx &&pfx, Sep &&sep, Sfx &&sfx, Extro &&extro, Pel &&pel, Sel &&sel)

## Public Attributes
RefStore< Intro > | _intro
RefStore< Pfx > | _pfx
RefStore< Sep > | _sep
RefStore< Sfx > | _sfx
RefStore< Extro > | _extro
RefStore< Pel > | _pel
RefStore< Sel > | _sel

## Detailed Description

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>
struct zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >

A basic format description to print a collection.

The JoinFormat stores references or rvalues of printable objects which define the format elements when printing a collection:

ELEMENT = PEL el SEL
FORMAT = INTRO [ PFX ELEMENT [ SEP ELEMENT ]* SFX ] EXTRO
SEP
#define SEP

See also

makeJoinFormat

Definition at line 140 of file LogTools.h.

## Constructor & Destructor Documentation

## ◆ JoinFormat()

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::JoinFormat | ( | Intro && | intro,
|  | Pfx && | pfx,
|  | Sep && | sep,
|  | Sfx && | sfx,
|  | Extro && | extro,
|  | Pel && | pel,
|  | Sel && | sel )
| inlineconstexpr

Definition at line 142 of file LogTools.h.

## Member Data Documentation

## ◆ _intro

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Intro> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_intro

Definition at line 152 of file LogTools.h.

## ◆ _pfx

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Pfx> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_pfx

Definition at line 153 of file LogTools.h.

## ◆ _sep

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Sep> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_sep

Definition at line 154 of file LogTools.h.

## ◆ _sfx

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Sfx> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_sfx

Definition at line 155 of file LogTools.h.

## ◆ _extro

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Extro> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_extro

Definition at line 156 of file LogTools.h.

## ◆ _pel

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Pel> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_pel

Definition at line 157 of file LogTools.h.

## ◆ _sel

template<typename Intro, typename Pfx, typename Sep, typename Sfx, typename Extro, typename Pel, typename Sel>

RefStore<Sel> zypp::str::detail::JoinFormat< Intro, Pfx, Sep, Sfx, Extro, Pel, Sel >::_sel

Definition at line 158 of file LogTools.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogTools.h